{ sources ? import ./sources.nix, pkgs ? import sources.nixpkgs { } }:

let go = sources.go;

in pkgs.go.overrideAttrs (attrs: rec {
  version = go.rev;
  src = go;
  nativeBuildInputs = attrs.nativeBuildInputs ++ [ pkgs.git ];
  checkPhase = "";
  GOLANG_TOOLCHAIN_REV = go.rev;
  patches = [ ./go-toolchain-rev.patch ];
})
